Bug 90139 - EDITING: Cursor can disappear when cancelling Insert Shapes or Text Box when cursor in comment
Summary: EDITING: Cursor can disappear when cancelling Insert Shapes or Text Box when...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Text-Cursor
  Show dependency treegraph
 
Reported: 2015-03-21 01:36 UTC by Gordo
Modified: 2021-04-17 04:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-21 01:36:22 UTC
1. New Text Document.
2. Type “test” and return.
3. Select “test”.
4. Insert → Comment.
5. Type “test”.
6. Place cursor in comment.
7. Insert → Text Box.
8. Instead of escaping or clicking, do Insert → Text Box.
Expected Result:
Because Text Box relies on using the mouse, it makes sense that the option is still available when the cursor is in the comment even though they cannot be added to them, but clicking on Text Box again should cancel the action.
Result:
Cursor can be seen if placed in a comment, but not in the document.  To bring it back, click on Insert → Text Box and cancel it another way.

Also Shapes.  This includes the Drawing Toolbar.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 A (Andy) 2015-03-21 07:30:16 UTC
@Gordo: With Step 8 you mean that I should draw a text box in the document?  Because after selecting INSERT -> TEXT BOX from Step 7 I have a cursor in the comment box to enter text into the comment and a changed cursor in the document ifself to draw a text box.
Comment 2 Gordo 2015-03-21 12:39:03 UTC
Andy:  After step 7, act like you are going to add a text box in the document, but don't because you've changed your mind.  Go back to Insert -> Text Box.  Or just do Insert -> Text Box twice without moving the mouse anywhere except to the menu or toolbar.
Comment 3 Buovjaga 2015-03-21 18:40:30 UTC
After 7. Insert → Text Box, the mouse cursor turns into the text box "plus", but is normal over the comment.
If I then repeat the Insert → Text Box, the cursor turns to normal.

I can't make the cursor turn into the special one over the comment.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 4 Gordo 2015-03-21 18:55:31 UTC
What is significant is that Insert -> Text Box while the cursor is in the comment takes focus away from the document when cancelling.
7. Insert → Text Box, but don't click anywhere.
8. Insert → Text Box and now click in the document, not the comment.
Result:
No cursor.
Comment 5 Buovjaga 2015-03-21 19:08:44 UTC
(In reply to Gordo from comment #4)
> What is significant is that Insert -> Text Box while the cursor is in the
> comment takes focus away from the document when cancelling.
> 7. Insert → Text Box, but don't click anywhere.
> 8. Insert → Text Box and now click in the document, not the comment.
> Result:
> No cursor.

You are right, no blinking text cursor, although I can type text.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.5.0.0.alpha0+
Build ID: 45c949c5a34cb73cdb08f85b2f33ae498c7c3c5c
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-03-20_23:52:13
Locale: en_US
Comment 6 A (Andy) 2015-03-22 07:51:14 UTC
(In reply to Gordo from comment #4)
> What is significant is that Insert -> Text Box while the cursor is in the
> comment takes focus away from the document when cancelling.
> 7. Insert → Text Box, but don't click anywhere.
> 8. Insert → Text Box and now click in the document, not the comment.
> Result:
> No cursor.

Thanks for your fast feedback.  Now this bug also reproducible for me with LO 4.4.1.2, Win 8.1.
Comment 7 tommy27 2016-04-16 07:28:17 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-05-22 13:26:08 UTC Comment hidden (obsolete)
Comment 9 Roman Kuznetsov 2019-04-17 06:24:41 UTC
still repro in

Version: 6.3.0.0.alpha0+
Build ID: 3083fe569f96bf0289da1e9d0ef7da15ab22e2f6
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-16_01:39:55
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 10 QA Administrators 2021-04-17 04:08:04 UTC
Dear Gordo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug